-- phpMyAdmin SQL Dump
-- version 3.3.9
-- http://www.phpmyadmin.net
--
-- Gostitelj: localhost
-- Čas nastanka: 10 Sep 2012 ob 09:37 
-- Različica strežnika: 5.5.8
-- Različica PHP: 5.3.5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Podatkovna zbirka: `rafal`
--

-- --------------------------------------------------------

--
-- Struktura tabele `cfg`
--

CREATE TABLE IF NOT EXISTS `cfg` (
  `CfgId` int(11) NOT NULL AUTO_INCREMENT,
  `CfgKey` varchar(255) COLLATE utf8_slovenian_ci NOT NULL,
  `CfgValue` varchar(255) COLLATE utf8_slovenian_ci NOT NULL,
  PRIMARY KEY (`CfgId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_slovenian_ci AUTO_INCREMENT=3 ;

--
-- Odloži podatke za tabelo `cfg`
--

INSERT INTO `cfg` (`CfgId`, `CfgKey`, `CfgValue`) VALUES
(1, 'DirInput', '/var/www/transfer/data/sended/'),
(2, 'DirOutput', '/var/www/transfer/data/inserted/');

-- --------------------------------------------------------

--
-- Struktura tabele `kind`
--

CREATE TABLE IF NOT EXISTS `kind` (
  `KindId` int(255) NOT NULL AUTO_INCREMENT,
  `Name` varchar(255) COLLATE utf8_slovenian_ci NOT NULL,
  `Style` varchar(255) COLLATE utf8_slovenian_ci NOT NULL,
  `Description` varchar(255) COLLATE utf8_slovenian_ci NOT NULL,
  PRIMARY KEY (`KindId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_slovenian_ci AUTO_INCREMENT=4 ;

--
-- Odloži podatke za tabelo `kind`
--

INSERT INTO `kind` (`KindId`, `Name`, `Style`, `Description`) VALUES
(1, 'Notification', 'color:#02a209;', 'To je samo obvestilo.'),
(2, 'Warning', 'color:#f9b83a;', 'To je opozorilo.'),
(3, 'Error', 'color:#ec5b5b;', 'To je napaka.');

-- --------------------------------------------------------

--
-- Struktura tabele `log`
--

CREATE TABLE IF NOT EXISTS `log` (
  `LogId` int(255) NOT NULL AUTO_INCREMENT,
  `UserId` int(255) DEFAULT NULL,
  `KindId` int(255) NOT NULL,
  `Description` varchar(255) COLLATE utf8_slovenian_ci NOT NULL,
  `DateTime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`LogId`),
  KEY `KindId` (`KindId`),
  KEY `UserId` (`UserId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_slovenian_ci AUTO_INCREMENT=40 ;

--
-- Odloži podatke za tabelo `log`
--


-- --------------------------------------------------------

--
-- Struktura tabele `measurement`
--

CREATE TABLE IF NOT EXISTS `measurement` (
  `MeasurementId` int(255) NOT NULL,
  `Filter` int(255) NOT NULL,
  `FlowRate` double(10,1) NOT NULL,
  `SamplingTime` time NOT NULL,
  `StopTime` time NOT NULL,
  `StopDate` date NOT NULL,
  `Standard` double(10,2) NOT NULL,
  `Operating` double(10,2) NOT NULL,
  `Tam` double(10,1) NOT NULL,
  `Tfm` double(10,1) NOT NULL,
  `Tim` double(10,1) NOT NULL,
  `Pam` int(255) NOT NULL,
  `CloggedFilter` int(11) NOT NULL,
  `WriteDateTime` datetime NOT NULL,
  PRIMARY KEY (`MeasurementId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovenian_ci;

--
-- Odloži podatke za tabelo `measurement`
--

INSERT INTO `measurement` (`MeasurementId`, `Filter`, `FlowRate`, `SamplingTime`, `StopTime`, `StopDate`, `Standard`, `Operating`, `Tam`, `Tfm`, `Tim`, `Pam`, `CloggedFilter`, `WriteDateTime`) VALUES
(35, 9, 2.3, '23:58:00', '23:58:00', '2012-07-28', 49.27, 55.14, 26.2, 31.6, 34.2, 992, 0, '2012-07-29 01:04:05'),
(36, 10, 2.3, '23:58:00', '23:58:00', '2012-07-29', 48.96, 55.13, 27.4, 32.5, 35.3, 990, 0, '2012-07-30 01:04:04');

-- --------------------------------------------------------

--
-- Struktura tabele `status`
--

CREATE TABLE IF NOT EXISTS `status` (
  `StatusId` int(255) NOT NULL AUTO_INCREMENT,
  `StatusName` varchar(255) COLLATE utf8_slovenian_ci NOT NULL,
  PRIMARY KEY (`StatusId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_slovenian_ci AUTO_INCREMENT=4 ;

--
-- Odloži podatke za tabelo `status`
--

INSERT INTO `status` (`StatusId`, `StatusName`) VALUES
(1, 'Blocked'),
(2, 'User'),
(3, 'Administrator');

-- --------------------------------------------------------

--
-- Struktura tabele `user`
--

CREATE TABLE IF NOT EXISTS `user` (
  `UserId` int(255) NOT NULL AUTO_INCREMENT,
  `StatusId` int(255) NOT NULL,
  `Name` varchar(255) COLLATE utf8_slovenian_ci NOT NULL,
  `Surname` varchar(255) COLLATE utf8_slovenian_ci NOT NULL,
  `Username` varchar(255) COLLATE utf8_slovenian_ci NOT NULL,
  `Password` varchar(255) COLLATE utf8_slovenian_ci NOT NULL,
  `Avatar` varchar(255) COLLATE utf8_slovenian_ci NOT NULL,
  PRIMARY KEY (`UserId`),
  KEY `StatusId` (`StatusId`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_slovenian_ci AUTO_INCREMENT=4 ;

--
-- Odloži podatke za tabelo `user`
--

INSERT INTO `user` (`UserId`, `StatusId`, `Name`, `Surname`, `Username`, `Password`, `Avatar`) VALUES
(1, 3, 'Administrator', '', 'Admin', 'Admin', './images/users/face1.png');

--
-- Omejitve tabel za povzetek stanja
--

--
-- Omejitve za tabelo `log`
--
ALTER TABLE `log`
  ADD CONSTRAINT `log_ibfk_1` FOREIGN KEY (`KindId`) REFERENCES `kind` (`KindId`),
  ADD CONSTRAINT `log_ibfk_2` FOREIGN KEY (`UserId`) REFERENCES `user` (`UserId`);

--
-- Omejitve za tabelo `user`
--
ALTER TABLE `user`
  ADD CONSTRAINT `user_ibfk_1` FOREIGN KEY (`StatusId`) REFERENCES `status` (`StatusId`);
